body{
    background-color: darkslategrey;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    margin: 0;
}
#weather-container{
    background-color: rgba(255,255,255,0.3);
    max-width: 400px;
    /* height: fit-content; */
    padding: 20px;
    border-radius: 15px;
    box-shadow: 0 8px 32px rgba(0,0,0,0.1);
    backdrop-filter: blur(10px);
    border: 4px solid rgba(255,255,255,0.1);
    text-align: center;
}
h2, label, p{
    color:rgb(48, 65, 48);
    margin: 8px 0;
}
input{
    width: calc(100%-16px);
    padding: 8px;
    box-sizing: border-box;
    border-radius: 10px;
    border: 1px solid white;
    margin-top: 20px;
}
button{
    background-color: rgb(25, 121, 39);
    color: white;
    padding: 10px;
    border: none;
    border-radius: 10px;
    cursor: pointer;
    margin-top: 20px;
    width: 100px;
    font-size: 15px;
}
button:hover{
    background-color: rgb(0, 79, 53);
}
#temp-div p{
    font-size: 60px;
    margin-top: -30px;
}
#weather-info{
    font-size: 20px;
}
#weather-icon{
    width: 200px;
    height: 200px;
    margin: 0 auto 10px;
    margin-bottom: 0;
    display: none;
}
#hourly-forecast{
    margin-top: 50px;
    overflow-x: auto;
    white-space: nowrap;
    display: flex;
    justify-content: space-between;
}
.hourly-item{
    flex: 0 0 auto;
    width: 80px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-right: 10px;
    color:white;
}
.hourly-item img{
    width: 30px;
    height: 30px;
    margin-bottom: 5px;
}
#hourly-heading{
    color: #fff;
    margin-top: 10px;
}